package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfDaPfMonthData对象 wf_da_pf_month_data
 *
 * @author hlf
 * @date 2021-07-14
 */
public class WfDaPfMonthData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long modelNo;

    private Date dataTime;

    private Double nrmse;

    private Double nmae;

    private Double bias;

    private Double correlationCoeff;

    private Double accuracyRate;

    private Long dataCount;

    private Long dataFlag;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setNrmse(Double nrmse) {
        this.nrmse = nrmse;
    }

    public Double getNrmse() {
        return nrmse;
    }

    public void setNmae(Double nmae) {
        this.nmae = nmae;
    }

    public Double getNmae() {
        return nmae;
    }

    public void setBias(Double bias) {
        this.bias = bias;
    }

    public Double getBias() {
        return bias;
    }

    public void setCorrelationCoeff(Double correlationCoeff) {
        this.correlationCoeff = correlationCoeff;
    }

    public Double getCorrelationCoeff() {
        return correlationCoeff;
    }

    public void setAccuracyRate(Double accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    public Double getAccuracyRate() {
        return accuracyRate;
    }

    public void setDataCount(Long dataCount) {
        this.dataCount = dataCount;
    }

    public Long getDataCount() {
        return dataCount;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("nrmse", getNrmse())
                .append("nmae", getNmae())
                .append("bias", getBias())
                .append("correlationCoeff", getCorrelationCoeff())
                .append("accuracyRate", getAccuracyRate())
                .append("dataCount", getDataCount())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
